Subject: bug#5667: 23.1.93; cursor movement in Korean text is slow with xfonts-baekmuk

From: Jae-hyeon Park <[email-masked]>
Date: Thu, 01 Apr 2010 10:31:21 +0200

Kenichi Handa, on 2010-04-01 09:59 +0200, said:

> Very sorry for the late response on this matter.

No problem.

> I've just confirmed this problem.  Strangely that slowness
> doesn't happen with the other fonts (e.g. daewoo-mincho).
> I'm now investigating what is wrong.

I have uploaded a patch to the bug tracker.  The difference between
baekmuk and daewoo is the xfont encoding registry.  Baekmuk has
ksx1001.1998 and daewoo has ksc5601.1987.  [xfonts-baekmuk package
installs also aliases with registry ksc5601.1987.]

Apart from the above temporary fix, another question is: I don't know
whether or not emacs is expected to slow down when it sees a font with
an unknown (to emacs) encoding.

Cheers,
Jae-hyeon